Is the current version already compatible with Arcane Dimensions? or is it a seperate patch? If not, will it be compatible in the next release?